# Copyright 2015
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.


import os

from tempest import config
from tempest.test_discover import plugins

from mistral_tempest_tests import config as mistral_config


class MistralTempestPlugin(plugins.TempestPlugin):
    def load_tests(self):
        base_path = os.path.split(os.path.dirname(
            os.path.abspath(__file__)))[0]
        test_dir = "mistral_tempest_tests/tests/"
        full_test_dir = os.path.join(base_path, test_dir)
        return full_test_dir, base_path

    def register_opts(self, conf):
        config.register_opt_group(conf,
                                  mistral_config.service_available_group,
                                  mistral_config.ServiceAvailableGroup)
        config.register_opt_group(conf,
                                  mistral_config.mistral_api_group,
                                  mistral_config.MistralApiGroup)

    def get_opt_lists(self):
        return [
            (mistral_config.service_available_group.name,
             mistral_config.ServiceAvailableGroup),
            (mistral_config.mistral_api_group.name,
             mistral_config.MistralApiGroup),
        ]
